Project

General

Profile

Backport(バックポート) #4142

Enhancement(機能追加・改善) #3887: OpenPNE3に同梱されているsymfonyを1.4.20に更新する

OpenPNE3に同梱されているsymfonyを1.4.20に更新する

Added by kaoru n over 2 years ago. Updated over 2 years ago.

Status:
Pending Review(レビュー待ち)
Priority:
Normal(通常)
Assignee:
Target version:
Start date:
2017-02-07
Due date:
% Done:

50%


Description

Overview (概要)

現在 OpenPNE3 には symfony 1.4.13 (2011/08/05) が同梱されているが、symfony 1.x の最新版は 1.4.20 (2012/11/25) がリリースされているためこのバージョンに更新する。

なお、symfony 1.4.20 には security fix も含まれていたがこれは既に #3265 にて先行して該当する箇所のみ取り込まれている。

symfony 1.x の変更履歴は下記の URL に記載されている。

https://github.com/symfony/symfony1/blob/v1.4.20/CHANGELOG

目立った変化としては ./symfony openpne:version などの実行時や pc_frontend_dev.php で表示されていた ob_start 関連の警告が修正されている。

$ ./symfony openpne:version
PHP Warning:  ob_start(): function '' not found or invalid function name in /home/upsilon/git/openpne3/pnejp/lib/vendor/symfony/lib/config/sfApplicationConfiguration.class.php on line 155

Warning: ob_start(): function '' not found or invalid function name in /home/upsilon/git/openpne3/pnejp/lib/vendor/symfony/lib/config/sfApplicationConfiguration.class.php on line 155
PHP Notice:  ob_start(): failed to create buffer in /home/upsilon/git/openpne3/pnejp/lib/vendor/symfony/lib/config/sfApplicationConfiguration.class.php on line 155

Notice: ob_start(): failed to create buffer in /home/upsilon/git/openpne3/pnejp/lib/vendor/symfony/lib/config/sfApplicationConfiguration.class.php on line 155
Core versions:
 OpenPNE                       3.8.17
 symfony                       1.4.13
OpenPNE plugin versions:
 opAuthMailAddressPlugin       1.3.5
 opSkinThemePlugin             1.0.11
 opTimelinePlugin              1.2.6
 opCommunityTopicPlugin        1.1.2
 opDiaryPlugin                 1.5.1
 opMessagePlugin               2.0.0

Spec (仕様)

symfony 1.4.20 は http://symfony.com/legacy からダウンロードできる。

また、過去に symfony のバージョンを更新した時には、symfony に独自に適用していたパッチが巻き戻ってしまう問題 (#2780) が起きている。
更新時に再度適用する必要のあるパッチは ./data/patches 以下に置かれているため、これらを適用し #2408 のバグが再び発生していないことを確認する必要がある。

さらに #2822./lib/vendor/symfony/plugins/sfPropelPlugin を削除しているため、更新時に sfPropelPlugin が追加された場合には削除する必要がある。

History

#1 Updated by kaoru n over 2 years ago

  • Tracker changed from Enhancement(機能追加・改善) to Backport(バックポート)

#2 Updated by kaoru n over 2 years ago

  • Status changed from New(新規) to Pending Review(レビュー待ち)
  • Assignee set to kaoru n
  • % Done changed from 0 to 50

https://github.com/openpne/OpenPNE3/pull/437
にてプルリクエストを行いました。
レビューをお願いします。

#3 Updated by kaoru n over 2 years ago

  • Status changed from Pending Review(レビュー待ち) to Rejected(差し戻し)

#3887-2 の理由によりいったん差し戻し

#4 Updated by kaoru n over 2 years ago

  • Status changed from Rejected(差し戻し) to Pending Review(レビュー待ち)

https://github.com/openpne/OpenPNE3/pull/437
更新しました。
レビューをお願いします。

Also available in: Atom PDF